Skip to content

Token

Request

Security
basicAuthentication
Bodyapplication/x-www-form-urlencodedrequired

Request body for token

grant_typestring
Example:"client_credentials"
curl -i -X POST \
  -u '<username>:<password>' \
  https://auth.bettermile.com/api/v1/machines/token \
  -H 'Content-Type: application/x-www-form-urlencoded'

Responses

Ok

Bodyapplication/json
access_tokenstring
Example:"eyJhbGciOiJIUz..."
expires_ininteger
Example:3600
token_typestring
Example:"Bearer"
Response
{ "access_token": "eyJhbGciOiJIUz...", "expires_in": 3600, "token_type": "Bearer" }